The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от opennews (??), 05-Дек-20, 10:09 
Началось тестирование первого кандидата в релизы Wine 6.0, открытой реализации Win32 API. Кодовая база переведена на стадию заморозки перед релизом, который ожидается в середине января. По сравнению с выпуском Wine 5.22 закрыто 53 отчёта об ошибках и внесено 457 изменений...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=54197

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +9 +/
Сообщение от Аноним (1), 05-Дек-20, 10:09 
Trine 4 уже вышла? Ого. А почему не было новости на ЛОРе?

По поводу новости. Я предлагаю каждому тестеру запустить и прогнать свой софт, которым вы обычно пользуетесь в Wine. Проверить на ошибки. И в случае обнаружения таковых, запостить баг. В этом и есть суть бета-теста.

А то вы же знаете, как это бывает. Про беты и релиз-кандидаты никто обычно не слышит даже, и единицы их тестируют. Зато потом "какой сырой релиз, почему не тестировали?".

Ответить | Правка | Наверх | Cообщить модератору

3. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от leibniz (ok), 05-Дек-20, 10:15 
> Trine 4 уже вышла? Ого.

С возвращением из анабиоза.

Ответить | Правка | Наверх | Cообщить модератору

2. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +17 +/
Сообщение от leibniz (ok), 05-Дек-20, 10:14 
Wine и всё причастное к нему - замечательный проект. Успехов разработчикам.
Ответить | Правка | Наверх | Cообщить модератору

4. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –21 +/
Сообщение от Аноним (4), 05-Дек-20, 10:15 
Вайн ещё делают? Там же, вроде, оба студента выпустились и работать пошли, не до вайна теперь им.
Ответить | Правка | Наверх | Cообщить модератору

5. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +13 +/
Сообщение от Аноним (5), 05-Дек-20, 10:22 
С возвращением из анабиоза.

Это было несколько лет назад. Речь шла не о Wine, а о Wine Staging. Этим студентам в течение месяца нашли замену. Wine Staging и по сей день развивается.

Ответить | Правка | Наверх | Cообщить модератору

41. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –2 +/
Сообщение от анонъчик (?), 06-Дек-20, 15:51 
>Wine Staging

Это просто нестабильная ветка Wine.

Ответить | Правка | Наверх | Cообщить модератору

6. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +9 +/
Сообщение от Кровосток (?), 05-Дек-20, 10:25 
Ну они тогда получается какие-то вечные студенты. С 1993 года.
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

7. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +7 +/
Сообщение от A.Stahl (ok), 05-Дек-20, 10:54 
>вечные студенты

Век живи -- век учись.

Ответить | Правка | Наверх | Cообщить модератору

14. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (14), 05-Дек-20, 12:24 
речь шла наверное, не о тех первых студентах
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

46. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от commiethebeastie (ok), 07-Дек-20, 13:45 
О нём самом, Alexandre Julliard.
Ответить | Правка | Наверх | Cообщить модератору

40. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от анонъчик (?), 06-Дек-20, 15:51 
Какие студенты, там же контора теперь этим занимается.
https://www.codeweavers.com/
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

8. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +2 +/
Сообщение от Аноним (8), 05-Дек-20, 11:21 
Масштабирование позволяет и уменьшить размер HUD. В принципе, если используется что-то помимо фреймрейта, удобно, чтобы текст не занимал пол экрана.

Кстати, вот текущая версия скрипта обновления dxvk из комментариев прошлой новости (извините, если опеннет поломал код):

#!/bin/sh
#deps:curl, patch, gcc (mingw-w64, built with --enable-threads=posix), meson, ninja, glslang, wine-staging
XTRAOPTSMESON=(--unity on -Db_lto=true)
COMMON_FLAGS="-march=native -O2 -pipe -fomit-frame-pointer -fno-fat-lto-objects -fno-semantic-interposition"
TEMPDIR="${HOME}/dxvk"
# gcc flags
COMMON_FLAGS+=" -fipa-matrix-reorg -fipa-pta -fdevirtualize-at-ltrans"
# gcc lto
COMMON_FLAGS+=" -flto -fuse-linker-plugin -flto-partition=max -flto-compression-level=9"
# use relaxed flags (same as wine)
COMMON_FLAGS+=" -U_FORTIFY_SOURCE -fno-stack-protector -fno-stack-clash-protection"
export CFLAGS="${COMMON_FLAGS}"
export CPPFLAGS="${COMMON_FLAGS}"
export CXXFLAGS="${COMMON_FLAGS}"
export LDFLAGS="-Wl,-O1,-z,relro,-z,now,--sort-common,--as-needed,--hash-style=gnu,--no-copy-dt-needed-entries -fuse-linker-plugin -fuse-ld=bfd -flto=4"

function ckwine() {
    # validate config (gentoo specific) //from setupwine script
    curwine=`eselect wine show|tail -1|sed 's/\s*//'`
    curwine=${curwine:0:12}
    if [[ ${curwine} != 'wine-staging' ]]; then
        echo "Please set default wine to wine-staging (i.e. eselect wine)"
        eselect wine list
        exit 1
    fi
}
function gtarch() { case $(uname -m) in x86_64) BITS=64; ;; i*86) BITS=32; ;; *) BITS=?; ;; esac }
function ckarch() { gtarch; [[ 64 -eq "${BITS}" ]] || { echo "${BITS} bit arch is unsupported"; exit 1; } }
function cleanup() { rm -rf -- "${TEMPDIR}" && echo "${TEMPDIR} removed"; }
function die() { [[ 0 -ne $? ]] && { local rc=$?; trap '' EXIT; cleanup; echo "${1}"; exit $rc; } }
function dienow() { local rc=$?; trap '' EXIT; echo "${1}"; exit $rc; }
trap cleanup EXIT;
ckarch
gittag="${1}"
[[ -n "${WINEPREFIX}" ]] || export WINEPREFIX="${HOME}/.wine-64"
[[ -f /etc/gentoo-release ]] && ckwine
# clean old && download
[[ -e "${TEMPDIR}" ]] && echo "Note: ${TEMPDIR} is found on disk, force removed." && rm -rf --  "${TEMPDIR}"
if [[ "${gittag:0:7}" == 'release' || "${gittag:0:1}" == 'v' ]];then
    echo "Using branch: ${gittag}"
    git clone --single-branch --depth 1 --branch "${gittag}" https://github.com/doitsujin/dxvk.git ~/dxvk || die 'Failure: git clone.'
else #master
    git clone --single-branch --depth 1 https://github.com/doitsujin/dxvk.git ~/dxvk || die 'Failure: git clone.'
fi
cd "${TEMPDIR}" || die 'Failure: not found on disk.'
#patch async
curl --tlsv1.2 -sSLO https://raw.githubusercontent.com/Sporif/dxvk-async/master/d...
patch -p1 < dxvk-async.patch || die "Failure: async patch."
#build
meson --cross-file build-win64.txt --buildtype release --strip --prefix ${PWD}/x64 --bindir ${PWD}/x64 --libdir ${PWD}/x64  build_64 "${XTRAOPTSMESON[@]}" || dienow "Note: meson failure (see above for info)."
cd build_64
ninja install || die "Failure: couldn't install (64)."
cd ..
meson --cross-file build-win32.txt --buildtype release --strip --prefix ${PWD}/x32 --bindir ${PWD}/x32 --libdir ${PWD}/x32 build_32 "${XTRAOPTSMESON[@]}" || dienow "Note: meson failure (see above for info)"
cd build_32
ninja install || die "Failure: couldn't install (32)."
cd ..
#install
chmod u+x ./setup_dxvk.sh
WINEARCH=win64 ./setup_dxvk.sh install || die "Failure: couldn't setup wine (more like wine failed)."


Ответить | Правка | Наверх | Cообщить модератору

10. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (8), 05-Дек-20, 11:42 
ПС в 5.22 я так понимаю ОПЯТЬ поломали миграцию префиксов на новую версию, из-за чего старые префиксы перестали работать? Сколько можно то уже. system32\\ole32.dll и system32\\shlwapi.dll просто не работают, и без них вайн не работает. Или это ещё в 5.18 поломали (опять) и дальше доломали? Я вообще-то с 18 на 22 обновился, да. Пришлось, так бы 5.17 оставил, с ней всё нормально было.
Ответить | Правка | Наверх | Cообщить модератору

11. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (8), 05-Дек-20, 11:43 
с 5.17 на 5.22
Ответить | Правка | Наверх | Cообщить модератору

36. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от протмаенрпенр (?), 06-Дек-20, 08:42 
Они много чего поломали в 5.20, особенно много поломок в kernel32, в 5.22 часть kernel32 починили, но далеко не все, что сломали
Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

13. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (8), 05-Дек-20, 11:52 
Ой там в git clone можно заменить ~/dxvk на "${TEMPDIR}", иначе при изменении TEMPDIR в шапке, всё сломается.
Ответить | Правка | К родителю #8 | Наверх | Cообщить модератору

9. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –1 +/
Сообщение от uis (ok), 05-Дек-20, 11:24 
>Cгенерированный год

Месяц, день. Rprt.

Ответить | Правка | Наверх | Cообщить модератору

12. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –5 +/
Сообщение от Любитель Монеточки (?), 05-Дек-20, 11:47 
На Wine 6.0 будет работать Paint из Windows 7?
Ответить | Правка | Наверх | Cообщить модератору

17. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (17), 05-Дек-20, 13:03 
Да нет конечно
Ответить | Правка | Наверх | Cообщить модератору

47. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (47), 07-Дек-20, 22:09 
Да
Ответить | Правка | К родителю #12 | Наверх | Cообщить модератору

15. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –2 +/
Сообщение от Аноним (15), 05-Дек-20, 12:42 
Даже любопытно стало. :)
Ответить | Правка | Наверх | Cообщить модератору

16. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –9 +/
Сообщение от Аноним (17), 05-Дек-20, 13:02 
При всем моем уважении к wine, но она как не толком не работало, так и не работает
Ответить | Правка | Наверх | Cообщить модератору

18. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Андрей (??), 05-Дек-20, 13:16 
> Браузерный движок Gecko обновлён до версии 2.47.2.

Вот о чём говорят эти числа? Как узнать, какой версии движок Gecko в актуальной версии Firefox 83? В About этой важной информации нет.

Ответить | Правка | Наверх | Cообщить модератору

19. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Андрей (??), 05-Дек-20, 13:17 
> Добавлена поддержка именованных каналов с пустым именем.

А подробнее: где они используются?

Ответить | Правка | Наверх | Cообщить модератору

21. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (21), 05-Дек-20, 13:45 
Я конечно не знаток и могу ошибаться, но...

Скорее всего это используется в USB-стеке, когда ендпоинт на стороне USB соединяется с софтиной на хосте через пайп у которого нет собственного имени, а в роли пути подключения выступает путь к файлу устройства.

Ответить | Правка | Наверх | Cообщить модератору

51. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –1 +/
Сообщение от Андрей (??), 14-Дек-20, 14:03 
Спасибо. Улучшения USB в wine давно ждём.
Ответить | Правка | Наверх | Cообщить модератору

20. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –1 +/
Сообщение от Аноним (20), 05-Дек-20, 13:38 
>формат PE

Что это?

Ответить | Правка | Наверх | Cообщить модератору

22. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +2 +/
Сообщение от Аноним (21), 05-Дек-20, 13:47 
https://en.wikipedia.org/wiki/Portable_Executable
Ответить | Правка | Наверх | Cообщить модератору

23. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (23), 05-Дек-20, 15:02 
Когда-нибудь они напишут свою OS.
Ответить | Правка | Наверх | Cообщить модератору

24. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (24), 05-Дек-20, 16:04 
ReactOS
Ответить | Правка | Наверх | Cообщить модератору

25. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Fracta1L (ok), 05-Дек-20, 16:58 
Как у них с поддержкой Wayland?
Ответить | Правка | Наверх | Cообщить модератору

27. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (27), 05-Дек-20, 19:28 
Никак. Они сказали, что существуют непреодолимые препятствия и заморачиваться этим не будут.
Ответить | Правка | Наверх | Cообщить модератору

30. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (30), 05-Дек-20, 22:03 
То есть через лет 5 они останавливают развитие проекта?
Ответить | Правка | Наверх | Cообщить модератору

43. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –2 +/
Сообщение от Аноним (43), 06-Дек-20, 19:18 
Думаю, раньше. Наркоманы так долго не живут, помрёт вместе со своими двумя фанбоями.
Ответить | Правка | Наверх | Cообщить модератору

45. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от A (?), 07-Дек-20, 07:54 
>То есть через лет 5 они останавливают развитие проекта?

Через лет 5 уже придумают новую замену вяленому.

Ответить | Правка | К родителю #30 | Наверх | Cообщить модератору

33. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Fracta1L (ok), 06-Дек-20, 06:52 
Земля им пухом


Ответить | Правка | К родителю #27 | Наверх | Cообщить модератору

29. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –3 +/
Сообщение от Michael Shigorinemail (ok), 05-Дек-20, 20:55 
Что за хамство, где ссылка на бездырные патчи?  А ну бегом марш!
Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

32. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +3 +/
Сообщение от Аноним (-), 06-Дек-20, 04:54 
в чем хамство, шизоид? вот ты хамишь постоянно тут
Ответить | Правка | Наверх | Cообщить модератору

44. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (44), 07-Дек-20, 05:10 
Он таблетки забыл выпить.
Ответить | Правка | Наверх | Cообщить модератору

26. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (26), 05-Дек-20, 18:13 
Авторы молодцы, продолжают работу. Даже при версии 4.0 весь мой софт нормально работал, сейчас же это наверняка уже пригодное к использованию решение.

Тем, кто использует Wine, будет полезно.

Ответить | Правка | Наверх | Cообщить модератору

28. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (28), 05-Дек-20, 20:48 
Не факт. Это вечные догонялки.
Ответить | Правка | Наверх | Cообщить модератору

31. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (31), 05-Дек-20, 22:06 
Больше вопрос: когда можно будет использовать напрямую PipeWire для вывода звука. Как никак, PulseAudio уже legacy скоро станет, + это уменьшит задержку. Не надо будет настраивать больше ничего и патчить библиотеки Wine'а (как это было с winepulse).
Ответить | Правка | Наверх | Cообщить модератору

34. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –2 +/
Сообщение от iCat (ok), 06-Дек-20, 07:59 
Audacity под wine?
Один вопрос: зачем?
Ответить | Правка | Наверх | Cообщить модератору

39. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +4 +/
Сообщение от Аноним (21), 06-Дек-20, 12:13 
Этот вопрос встречается почти в каждом треде про wine в разных формах, но шаблон такой:
Зачем использовать <название программы> из-под wine, когда есть нативная версия для Linux.

И далее следует ряд ответов:
1) wine - это кроссплатформенная _реализация_ API Win32. Если возникает проблема c <название программы>, то это проблема в реализации функций API, которые с высокой долей вероятности проявятся и с другими программами.
2) wine - это кроссплатформенная _реализация API_ Win32, а не программа-эмулятор Windows для запуска программ, которых не достаёт пользователям
3) wine - это _кроссплатформенная реализация API_ Win32, кроссплатформенная, а не для Linux. Мало ли что там в Linux есть.

Выберете, который из трех вам нравится больше.

Ответить | Правка | Наверх | Cообщить модератору

35. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Vladjmir (ok), 06-Дек-20, 08:27 
Всё-таки для развития экосистемы Линукс гораздо полезнее писать линуксовые приложения, а не тащить виндовые программы в линукс через прослойку.
Ответить | Правка | Наверх | Cообщить модератору

38. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  –2 +/
Сообщение от Аноним (21), 06-Дек-20, 12:03 
Для развития экосистемы Linux необходимо предоставить разработчикам единое стабильное API между всеми дистрибутивами и SDK для разработчиков. Тогда появятся нативные приложения отличные от платформы электрон и прочей вебни.

Проблема экосистемы Linux выражается в её токсичности. Например, повсеместный NIH и люди которые будут просто против какого-то приложения или какой-то технологии, просто потому что им там что-то не нравится по религиозным или политическим причинам, хотя они не способны самостоятельно предложить альтернативное решение. "Баба Яга против!", короче говоря.

Программ пишут разработчики ПО, а для них не инструментов хороших нет, ни позитивной и продуктивной атмосферы, зато вместо этого есть такая сущность как меинтейнер дистрибутива, которая не пропустит твою программу в свой дистр, потому что лицензия не достаточно открытая. Если же лицензия открытая, то пропустит её в той форме в которой он хочет её распространять. Лишняя проблемная прослойка между разработчиком и пользователем, нужная лишь затем, что нет стандарта ОС, API и универсальных способов распространения, если таковой не считать doker.

Трудозатраты на поддержку нативного ПО на Linux со стороны независимых разработчиков настолько высоки, что проще этого не делать. А если и делать, то давать огрызок под открытой лицензией без грамма поддержки и ответственности, чай кто-то подберет и добавит как 10001-й пакет в дебиан.

Горькая правда в том, что wine под Linux имеет более надёжное и стабильное API чем весь остальной Linux вместе взятый, если не считать разве что контейнерные среды и веб-технологии.

Ответить | Правка | Наверх | Cообщить модератору

49. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от JL2001 (ok), 08-Дек-20, 12:35 
>[оверквотинг удален]
> проблемная прослойка между разработчиком и пользователем, нужная лишь затем, что нет
> стандарта ОС, API и универсальных способов распространения, если таковой не считать
> doker.
> Трудозатраты на поддержку нативного ПО на Linux со стороны независимых разработчиков настолько
> высоки, что проще этого не делать. А если и делать, то
> давать огрызок под открытой лицензией без грамма поддержки и ответственности, чай
> кто-то подберет и добавит как 10001-й пакет в дебиан.
> Горькая правда в том, что wine под Linux имеет более надёжное и
> стабильное API чем весь остальной Linux вместе взятый, если не считать
> разве что контейнерные среды и веб-технологии.

вы написали бред и далёкие от правды вещи примерно в 90% поверхности этого тексты

зы: о каком нужном стабильном апи линукса вы говорите, если ядро линукса имеет максимально стабильное юзерапи, даже иногда баги отказываются править, чтоб не сломать юзерапи ядра?
зыы: и разрабам не обязателбно ни само апи, ни стабильное апи ядра, обычно для этого есть фреймворки
а для нужных версий фреймворков есть системы типо nixpkg

Ответить | Правка | Наверх | Cообщить модератору

52. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Где деньги Зин (?), 16-Янв-21, 22:16 
Чтобы разрабатывать софт, нужно бабло (миллиарды USD, возможно триллионы).

А запускать готовый вендо софт намного дешевле, создавая унифицированный для всех вендопрограмм WINE.

Ответить | Правка | К родителю #35 | Наверх | Cообщить модератору

53. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Michael Shigorinemail (ok), 16-Янв-21, 22:24 
> Чтобы разрабатывать софт, нужно бабло (миллиарды USD, возможно триллионы).

Вы тоже предполагаете зимбабвийский сценарий?

Ответить | Правка | Наверх | Cообщить модератору

37. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (37), 06-Дек-20, 09:20 
Столько лет, а командную строку так и не починили. Она там реализована явно по остаточному принципу. До сих пор сложные батники не работают как надо, а запуск командной строки из-под другой программы или крашит её, или вообще не выполняет.
Ответить | Правка | Наверх | Cообщить модератору

48. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +1 +/
Сообщение от Аноним (47), 07-Дек-20, 22:13 
Покажите ссылки на ваши багрепорты, пожалуйста, или на чужие с вашими комментариями и голосами!
Ответить | Правка | Наверх | Cообщить модератору

50. "Кандидат в релизы Wine 6.0 и выпуск DXVK 1.7.3"  +/
Сообщение от Аноним (50), 12-Дек-20, 16:45 
Командную строку они починили,правда,частично.

Wine Git:
https://source.winehq.org/git/wine.git/commit/8e54cad6a15b39...
https://source.winehq.org/git/wine.git/commit/d1790c984bebb5...
https://source.winehq.org/git/wine.git/commit/81fe7a2165ed24...
https://source.winehq.org/git/wine.git/commit/fc1bb9aff5c5af...
https://source.winehq.org/git/wine.git/commit/a19a770f96ca1b...
https://source.winehq.org/git/wine.git/commit/abe848f05f5d91...

Правда,это не меняет факта,что многие вещи в cmd.exe сделаны через один известный орган.

Ответить | Правка | К родителю #37 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру